#include "mrilib.h"
#include "3ddata.h"

main () {
  char header_text[256];

  sprintf(header_text, "psdname blah\n");
  sprintf(header_text, "nx 128\n");
  sprintf(header_text, "ny 128\n");
  sprintf(header_text, "nsl 3\n"); 
  sprintf(header_text, "bval 0\n");
  sprintf(header_text, "nbvals 1\n");
  sprintf(header_text, "bstep %24\n");
  sprintf(header_text, "nb0 15\n");
  sprintf(header_text, "dsamp 21\n");
  sprintf(header_text, "polytope 2\n"); 
  sprintf(header_text, "ntess 14\n");
  sprintf(header_text, "nvert 15\n");

  printf("%s", header_text);
  THD_3dim_dataset *dset = THD_open_dataset("diffusion+orig");
  tross_Add_Note(dset, header_text);
  THD_write_3dim_dataset(NULL, NULL, dset, False);
  THD_delete_3dim_dataset(dset, False);
}
