
      case METH_SHD_FMI:{	/* SHD fractional multifiber index */

	DTI_prc_state   *prc = dif->dti->prc ;
	SHD_calc_state *calc = dif->shd->calc ;

	int    k ;
	float  msum=0.0,esum=0.0,osum=0.0 ;

	/* Check to make sure shd initialized. If not, do so. */

	if( !dif->sta->shd_initialized ) init_shd( dif );

	if(debug) PRINT_ZV(zs,calc->nlm,"DIFF_aniso_meth: zs");

	/* Move input complex input into dif->shd->calc->Alm[L][M] */

	zvtoAlm( calc->Alm, zs, calc->Lmax );

	/* Compute energy */

	alm2egy( calc->egyL, calc->Alm, calc->Lmax );  
	msum = esum = osum = 0.0;
	for( k=1; k<calc->nl ; k++ ) { /* start at L=1 */
	  if(EVEN(k)&&k>2) msum += calc->egyL[k];
	  if(EVEN(k))      esum += calc->egyL[k];
	  if( ODD(k))      osum += calc->egyL[k];
	}
	val[0] = msum/esum ; /* CHECK THIS! */
	if(debug) printf("DIFF_aniso_meth: METH_SHD_FMI val[0] = %f\n",val[0]);

      }

      break ;
