#ifndef _FIBER_H
#define _FIBER_H 

/* header file for diffuse directory */

#include <math.h>
#include <stdlib.h>
#include <stdio.h>
#include <stdarg.h>
#include <sys/ioctl.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <sys/file.h>
#include <sys/fcntl.h> 
#include <fcntl.h> 

#include <X11/Intrinsic.h>      /* for Boolean */

/*#include "vtk.h"*/

#include "afni.h"

#include "./thd_fibmaker.h"
#include "./ftm_structs.h" 
#include "../diffuse/dif_structs.h"
extern int fiberkill; 		/* global - ouch! */

//char routine_name1[256] ;

/* Macros */

#ifndef FUNC_SUFFIX
#define FUNC_SUFFIX( qset ) (strchr(DSET_PREFIX((qset)),'.'))
#endif

/* Prototypes */
//
/* init_ftm_state.c */
//FTM_state *init_ftm_state( );
FTM_state *init_ftm_state( DTI_state *dti, SHD_state *shd );


/* DIFF_fiber_meth.c */
void DIFF_fiber_meth( int     method , 
		      float   fs[] , 
		      complex zs[] , 
		      void    *udp , 
		      int     nbrick , 
		      float   *val ,
		      complex *cval ) ;

/* thd_makefibbuc.c */
THD_3dim_dataset * MAKER_4D_to_typed_ftmbuc( Widget wcancel ,
					     Widget shell ,
					     THD_3dim_dataset *old_dset ,
					     Three_D_View *im3d_now ,
					     byte *mask ,
					     char *new_prefix , 
					     int new_datum ,
					     int nbrik , /*   1 for scalars,
							      3 for dti,
							  NM*NL for shd */
					     /*generic_func *user_func ,*/
					     int method , 
					     int *cancelcode ,
					     void *user_data )  ;

#endif
