/* Fiber Structures */

#include "afni.h"

#include <X11/Intrinsic.h>	/* for Boolean */

typedef struct FTM_state { 

  short Lmax ;			/* maximum L to calculate */
  short Mmax ;			/* maximum M to calculate */
  short Lmin ;			/* minimum L to calculate */
  short Mmin ;			/* minimum M to calculate */
  short nl ;			/* number of L to calc */
  short nm ;			/* number of M to calc */
  short nlm ;			/* nl*nm - useful param */

  short *Lvals ;		/* L values to calculate */
  short *Mvals ;		/* M values to calculate */

  Boolean full_mcalc_range ;	/* Flag to calculate -M:M */

} FTM_state ;
