#ifndef _MCW_3DFIBMAKER_HEADER_
#define _MCW_3DFIBMAKER_HEADER_

#include "afni.h"

#ifndef FREEUP
#define FREEUP(x) do{if((x) != NULL){free((x)); (x)=NULL;}}while(0)
#endif

#define METH_FTM_OFFSET 40
#define METH_FTM 40		/* Fiber Tract Mapping */
/* 

*/
#define N_FTM_SCALAR_METH 2	/* all but first below */
#define METH_FTM_DTI  40	/* Fiber Tracking from DTI */
#define METH_FTM_SHD  41	/* Fiber Tracking from SHD */
#define METH_FTM_XXX  42	/* dummy */
#define METH_FTM_YYY  43	/* dummy */

static char *FTM_OUTPUT_PREFIX_CHOICES[ N_FTM_SCALAR_METH + 1] 
                     = { "FTM","XXX","YYY" } ;

/* Function prototypes */

extern THD_3dim_dataset * 
MAKER_4D_to_typed_ftmbuc( Widget wcancel , /* needed for cancelling computation */
			  Widget shell ,   /* needed for meter */
			  THD_3dim_dataset * old_dset , 
			  Three_D_View *im3d_now ,
			  byte *mask ,
			  char * new_prefix , 
			  int new_datum ,
			  int nbrik , 
			  /*generic_func * user_func ,*/
			  int method , 
			  int *cancelcode ,
			  void * user_data ) ;

void DIFF_fiber_meth( int     method , 
		      float   fs[] , 
		      complex cs[] , 
		      void    *udp , 
		      int     nbrick , 
		      float   *val ,
		      complex *cval ) ;

#endif
