#ifndef _QUOTES_HEADER_
#define _QUOTES_HEADER_

#define NUM_QUOTES (sizeof(quotes)/sizeof(char *))

static char * quotes[] = {

  " \n It is easier to fight for one's principles\n"
  " than to live up to them. \n"
  " \n                         Alfred Adler ( - ) \n"
  ,
  " \n The good people sleep much better at night than the bad people. \n"
  " Of course, the bad people enjoy the waking hours much more. \n"
  " \n                                    Woody Allen (1935- ) \n"
  ,
  " \n You can live to be a hundred if you give up all\n"
  " the things that make you want to live to be a hundred. \n"
  " \n                                    Woody Allen (1935- ) \n"
  ,
  " \n Smooth seas do not make skillful sailors. \n"
  " \n               African Proverb \n"
  ,
  " \n They are ill discoverers that think there is no land, \n"
  " when they can see nothing but sea. \n"
  " \n               Sir Francis Bacon (-) \n"
  ,
  " \n Research is the process of going up alleys \n"
  " to see if they are blind. \n"
  " \n               Marston Bates (1906-1974) \n"
  ,
  " \n When you come to a fork in the road, take it\n"
  " \n               Yogi Berra (-) \n"
  ,
  " \n Given the choice between two theories, \n"
  " take the one that is funnier. \n"
  " \n            Blore's Razor \n"
  ,
  " \n You are not thinking. You are merely being logical. \n"
  " \n                          Neils Bohr (1885-1962) \n"
  ,
  " \n An expert is a person who has made all the mistakes \n"
  " that can be made in a very narrow field. \n"
  " \n                    Neils Bohr (1885-1962) \n"
  ,
  " \n We all agree that your theory is crazy, \n"
  " but is it crazy enough? \n"
  " \n                  Neils Bohr (1885-1962) \n"
  ,
  " \n Junior college is like high school, \n"
  " except you don't have to show up. \n"
  " \n                Adam Corolla \n"
  ,
  " \n The most wasted of all days is one without laughter. \n"
  " \n                e e cummings \n"
  ,
  " \n One of the lessons of history is that nothing is often \n"
  " a good thing to do and always a clever thing to say.\n"
  " \n                         Will Durant (-) \n"
  ,
  " \n Blessed is the man who, having nothing to say, \n"
  " abstains from giving wordy evidence of the fact. \n"
  " \n                       George Eliot \n"
  ,
  " \n We are continually faced with a series of \n"
  " great opportunities brilliantly disguised \n"
  " as insoluble problems \n"
  " \n                John W. Gardner (-) \n"
  ,
  " \n Egotism is the anesthetic that dulls the pain of stupidity.\n"
  " \n                                   Frank Leahy (-) \n"
  ,
  " \n It's easy to see the faults in people I know; \n"
  " it's hardest to see the good. \n"
  " Especially when the good isn't there. \n"
  " \n                Will Cuppy (1884-1949) \n"
  ,
  " \n The louder he talked of his honor, \n"
  " the faster we counted our spoons. \n"
  " \n        Ralph Waldo Emerson \n"
  ,
  " \n Well done is better than well said.\n"
  " \n               Benjamin Franklin (-) \n"
  ,
  " \n Education is the ability to listen to almost anything \n"
  " without losing your temper.\n"
  " \n                        Robert Frost (-) \n"
  ,
  " \n Only the mediocre are always at their best.\n"
  " \n                Jean Giraudoux (1882-1944) \n"
  ,
  " \n It is not worth an intelligent person's time to be \n"
  " in the majority.  By definition, there are already \n"
  " enough people to do that. \n"
  " \n             G.H. Hardy (1877-1947) \n"
  ,
  " \n Man's mind, once stretched by a new idea, \n"
  " never regains its original dimensions.\n"
  " \n             Oliver Wendell Holmes (-) \n"
  ,
  " \n Your manuscript is both good and original, \n"
  " but the part that is good is not original \n"
  " and the part that is original is not good. \n"
  " \n            Samuel Johnson (-) \n"
  ,
  " \n The avoidance of taxes is the only intellectual\n"
  " pursuit that carries any reward. \n"
  " \n            John Maynard Keynes (1883-1946) \n"
  ,
  " \n In the end, we will remember \n"
  " not the words of our enemies,\n"
  " but the silence of our friends.\n"
  " \n    Martin Luther King Jr. \n"
  ,
  " \n Nearly all men can stand adversity,\n"
  " but if you want to test a man's character,\n"
  " give him power.\n"
  " \n             Abraham Lincoln (-) \n"
  ,
  " \n The secret to eternal youth is arrested development. \n"
  " \n             Alice Roosevelt Longworth (1884-1980) \n"
  ,
  " \n I don't necessarily agree with everything I say.\n"
  " \n                     Marshall McLuhan (-) \n"
  ,
  " \n Those are my principles. \n"
  " If you don't like them I have others. \n"
  " \n         Groucho Marx (1890-1977) \n"
  ,
  " \n My theology, briefly, is that the universe \n"
  " was dictated but not signed. \n"
  " \n            Christopher Morley (1890-1957) \n"
  ,
  " \n The real art of conversation is not only to say \n"
  " the right thing at the right place but to \n"
  " leave unsaid the wrong thing at the tempting moment.\n"
  " \n                   Dorothy Nevill () \n"
  ,
  " \n This isn't right.  This isn't even wrong. \n"
  " \n             Wolfgang Pauli (1900-1958) \n"
  ,
  " \n Those who dream by day are cognizant of many things \n"
  " which escape those who dream only by night.\n"
  " \n             Edgar Allen Poe () \n"
  ,
  " \n It has been said that man is a rational animal. \n"
  " All my life I have been searching for evidence \n"
  " which could support this. \n"
  " \n                    Bertrand Russell \n"
  ,
  " \n The people who are regarded as moral luminaries are \n"
  " those who forego ordinary pleasures themselves and find \n"
  " compensation in interfering with the pleasures of others. \n"
  " \n                    Bertrand Russell \n"
  ,
   " \n The whole problem with the world is that fools \n"
  " and fanatics are always so certain of themselves, \n"
  " but wiser people so full of doubts. \n"
  " \n                    Bertrand Russell \n"
  ,
   " \n The fact that an opinion has been widely held is no \n"
  " evidence whatever that it is not utterly absurd; indeed \n"
  " in view of the silliness of the majority of mankind, a\n"
  " widespread belief is more likely to be foolish than sensible. \n"
  " \n         Bertrand Russell, Marriage and Morals (1929) \n"
  ,
  " \n Any intelligent fool can make things bigger, more \n"
  " complex, and more violent.  It takes a touch of \n"
  " genius, and a lot of courage, to move in the \n"
  " opposite direction. \n"
  " \n                     E.F. Schumacher (1911-1977) \n"
  ,
  " \n The key to being a good manager is keeping \n"
  " the people who hate me away from those who \n"
  " are still undecided. \n"
  " \n                    Casey Stengel\n"
  ,
  " \n No matter how cynical you get, \n"
  " it is impossible to keep up. \n"
  " \n         Lily Tomlin (-) \n"
  ,
  " \n Good advice is something a man gives when \n"
  " he is too old to set a bad example. \n"
  " \n         Francois de La Rochefoucauld (-) \n"
  ,
  " \n The trouble isn't that there are too many fools, \n"
  " but that the lightning isn't distributed right. \n"
  " \n                      Mark Twain (1835-1910) \n"
  ,
  " \n Be good and you will be lonely. \n"
  " \n        Mark Twain (1835-1910) \n"
  ,
  " \n Facts are stubborn, but statistics are more pliable. \n"
  " \n                      Mark Twain (1835-1910) \n"
  ,
  " \n Punctuality is the virtue of the bored. \n"
  " \n                      Evelyn Waugh (-) \n"
  ,
  " \n When caught between two evils, I generally \n"
  " pick the one I've never tried before. \n"
  " \n                          Mae West \n"
  ,
  " \n A true friend stabs you in the front. \n"
  " \n             Oscar Wilde (1854-1900) \n"
  ,
  " \n Consistency is the last refuge of the unimaginative. \n"
  " \n                           Oscar Wilde (1854-1900) \n"
  ,
  " \n We think in generalities, but we live in detail. \n"
  " \n            Alfred North Whitehead (1861-1947) \n"
  ,
  " \n Everywhere is walking distance if you have the time. \n"
  " \n                                Steven Wright \n"
  ,
  " \n I told the doctor I broke my leg in two places. \n"
  " He told me to quit going to those places. \n"
  " \n                 Henny Youngman (1906-1998) \n"

} ;

#endif  /* _QUOTES_HEADER_ */
