/*  io.h */
#include <math.h>
#include <unistd.h>
#include <stdlib.h>
#include <stdio.h>
#include <stdarg.h>
#include <sys/ioctl.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <sys/file.h>
#include <sys/fcntl.h> 


#include <sys/time.h>
#include <sys/times.h>

#include <X11/Intrinsic.h>	/* for Boolean */

#ifndef YES
#define YES 1 
#endif
#ifndef NO
#define NO 0 
#endif
#ifndef MAYBE
#define MAYBE -1
#endif

#define BETWEEN(x,a,b)  (((x) >= (a)) && ((x)<=(b)))

#define SET_LIMS(lims,xmin,xmax)  ((lims)[0]=(xmin),(lims)[1]=(xmax))

float pinput(char *pname, float pdef, float *plims) ;
char *sinput(char *sval, char *sname, char *sdef);
Boolean logqyn(char *question, char *qdef) ;

void write_iqm(long int *ier,char fname[],long int *size,char arr[]) ;
int write_iqm_error( long int *ier , char *fname ) ;
int write_file( long int *ier,
		char     fname[],
		long int *size,
		char     arr[] ) ;
void read_iqm(long int *ier,char fname[],long int *size,char arr[]) ;
int read_iqm_error( long int *ier , char *fname ) ;
int read_file( long int *ier,
	       char     fname[],
	       long int *size,
	       char     arr[] ) ;

int icat(int *iv,int n);
int *iparse(int inum, int n);
