/**<dvmsq>**************************************************

    Title: Double integer Vector Mean SQuare

  Purpose: Compute msq of double vector.
 
     Call: double dvmsq( double int *x, int n )

*/
#include <math.h>

double dvmsq( double *x, int n )
{
  double sum = 0.;
  double dn  = n;
  double msq,tmp;

  if(n>0)
    {
      do {
	tmp  = *x++ ;
	sum += tmp*tmp;
      } while(--n > 0) ;
    }
  msq = sum/dn;
  
  return(msq);
}
