/**<dvvar>**************************************************

    Title: Double Vector VARiance

  Purpose: Compute sample variance of double vector.
 
     Call: double dvvar( register double *x, register int n)

*/
#include "vector.h"

double dvvar( double *x, int n )
{
       double dn = n-1 ;
       double mean,var,temp  ;
       double sum=0.;

       mean = dvmean(x,n);

       if(n>0)
	 {
	   do {
	     temp = *x++ - mean ;
	     sum += temp*temp ;
	   } while(--n > 0) ;
	 }
  
       var = sum / dn;
       return(var);
}
