/**<vcos.c>****************************************************

     Title: Vector COSine

   Purpose: Compute the cosine of vector x

      Call: float *vcos(float *z, float *x, int n)

     Input: x = arg cos
	    n = length(x)

    Output: z = cos(x)

    Returns pointer to z[] array
*/
#include "vector.h"

float *vcos(float *z, float *x, int n)
{
  //double cos() ;
  float *zptr = z ;

  if(n>0)
    {
      do {
	*z++ = cos(*x++) ;
      } while(--n > 0) ;
    }
  return(zptr) ;
}
