/**<vran>**************************************************

    Title: Float Vector RANge

  Purpose: Find the minimum and maximum values,
           and their respective indices, of a float vector.
 
    Input: a = float vector
           n = length(x)

   Output:  amin (float) = min(a)
           lamin   (int) = location of amin in a[] 
	    amax (float) = max(a)
           lamax   (int) = location of amax in a[] 

    Notes: call must use addresses!
           vran(a,&amin,&lamin,&amax,&lamax,n);
*/
#include <math.h>

void vran(float *a, float *amin, int *lamin, float *amax, int *lamax, int n)
{
  float vmnmx(float *x, int n, int *nmin, int *nmax);

  vmnmx(a,n,lamin,lamax);

  *amin = *(a + *lamin);
  *amax = *(a + *lamax); 
}

