/**<vsin.c>****************************************************

     Title: Vector SINe

   Purpose: Compute the sine of vector x

      Call: float *vsin(float *z, float *x, int n)

     Input: x = arg sin
	    n = length(x)

    Output: z = sin(x)

    Returns pointer to z[] array
*/
#include "vector.h"

float *vsin(float *z, float *x, int n)
{
  //double sin() ;
  float *zptr = z ;

  if(n>0)
    {
      do {
	*z++ = sin(*x++) ;
      } while(--n > 0) ;
    }
  return(zptr) ;
}
