/**<vvar>**************************************************

    Title: Float Vector VARiance

  Purpose: Compute sample variance of float vector.
 
     Call: float vvar( register float *x, register int n)

*/
#include "vector.h"

float vvar( float *x, int n )
{
       float dn = n ;
       float mean,var,tmp  ;
       float sum=0.;

       mean = vmean(x,n);

       if(n>0)
	 {
	   do {
	     tmp = *x++ - mean ;
	     sum += tmp*tmp ;
	   } while(--n > 0) ;
	 }
  
       var = sum / dn;
       return(var);
}
