/**<zcnjg.c>****************************************************

     Title: Complex CONJuGate

   Purpose: Complex complex conjugate of complex number

      Call: complex zcnjg(complex a) 

     Input: a = complex arg

    Output: a*

*/
#include "vector.h"

complex zcnjg(complex a) 
{
	static complex c;
	c.r =  a.r;
	c.i = -a.i;
	return(c);
}
