/**<zexp.c>****************************************************

     Title: Complex EXPonentiation

   Purpose: Exponentiate a complex argument

      Call: complex zexp(complex z)

     Input: z = complex arg

    Output: exp(z)

*/
#include "vector.h"

complex zexp(complex z)
{
	double rexp ;

	rexp = exp(z.r) ;
	return(zcplx( rexp*cos(z.i) , rexp*sin(z.i) )) ;
}
