/**<zmul.c>****************************************************

     Title: Complex MULTiplication

   Purpose: Complex product of two complex args

      Call: complex zmul(complex a, complex b)

     Input: a = complex arg
            b = complex arg

    Output: a * b

*/
#include "vector.h"

complex zmul(complex a, complex b)
{
	static complex c;
	c.r = a.r*b.r - a.i*b.i;
	c.i = a.r*b.i + a.i*b.r;
	return(c);
}
