/**<zmuli.c>****************************************************

     Title: Complex MULTiplication by i 

   Purpose: Multiply complex number by sqrt(-1)

      Call: complex zmuli(complex a) 

     Input: a = complex arg

    Output: a

*/
#include "vector.h"

complex zmuli(complex a) 
{
	static complex c;
	c.r = -a.i;
	c.i =  a.r;
	return(c);
}
