/**<zsub.c>****************************************************

     Title: Complex SUBtraction

   Purpose: Complex difference of two complex args

      Call: complex zsub(complex a, complex b)

     Input: a = complex arg
            b = complex arg

    Output: a - b

*/
#include "vector.h"

complex zsub(complex a, complex b)
{
	static complex c;
	c.r = a.r - b.r;
	c.i = a.i - b.i;
	return(c);
}
