/* d2a.h */

#ifndef _D2A_HEADER_
#define _D2A_HEADER_

#include <unistd.h>
#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <string.h>
#include <sys/ioctl.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <sys/file.h>
#include <sys/fcntl.h>
#include "toolsdata.h"
#include "imagedb.h"		/* Signa header information */
#define RECON_FLAG		/* for the next header include */
#include "rdbm.h"
#include "dbh.h"		/* analyze header structure definition */

#define SIGNA_H    39984	/* byte size of raw epi file header with LX, 
				   for signa 5.6 it was 39936 */
#define RMB_DEBUG 0

void SwapPfileHeader(char * header) ;
void PrintPfileHeader(char * header) ;
void PrintPfileHeaderSummary( char *header, char *dimstr ) ;

#endif
