/**<factorial.c>****************************************************

     Title: FACTORIAL function

   Purpose: Compute n!

      Call: int factorial(int n)

     Input: n = integer

    Output: n!
*/
#include "diffuse.h"

double factorial(int n)
{
  register int nn = 1 ;

  if(n==0) return(1.0);

  if(n>0)
    {
      do { nn *= (n--); } while(n > 0) ;
    } else {

      printf("Error! Factorial: \a");
      printf("N must be a positive integer");
      return -1.;

    }

  return((double)nn) ;

}
