#include <stdlib.h>
#include <stdio.h>

int sphtes(float *gx, float *gy, float *gz, int *tris, 
	   int polytope, int ntess );

int main () {
  int polytope = 2;
  int nv = 12;
  int ntess, i;
  int max_ntess = 4;
  float *gx, *gy, *gz;
  int *triangles;
  int result;
  triangles = (int *)calloc(20480,3*sizeof(int));

  for(ntess = 1; ntess <= max_ntess; ntess++) {
    gx = (float *)calloc(nv, sizeof(float));
    gy = (float *)calloc(nv, sizeof(float));
    gz = (float *)calloc(nv, sizeof(float));

    
    result = sphtes(gx, gy, gz, triangles, polytope, ntess);
    if (nv == result) {
      printf("%d\n", nv);
      for (i = 0; i < nv; i++) {
	printf("%.6f %.6f %.6f\n", gx[i], gy[i], gz[i]);
      }
    }
    else {
      printf("nv = %d; sphtes returned %d\n", nv, result);
    }
    nv = (nv-2)*4 + 2;

  }
}
