   /* Read and register gradient files */

   {
     char * text = NULL ;
     MRI_IMAGE * tsim = NULL , * flim ;
     float * far ;
     int ii ;

     tsim = mri_read_ascii( gdxname ) ;
     if( tsim == NULL || tsim->ny < 2 ){
       sprintf(buf," \n"
	       "** Cannot read file %s\n", fname ) ;
       (void) MCW_popup_message( script_cbut , buf ,
				 MCW_USER_KILL | MCW_TIMER_KILL ) ;
       PLUTO_beep() ; return ;
     }

     flim = mri_transpose(tsim) ; mri_free(tsim) ;
     far  = MRI_FLOAT_PTR(flim) ;
     for( ii=0 ; ii < flim->nvox ; ii++ )
       if( fabs(far[ii]) >= 33333.0 ) far[ii] = WAY_BIG ;
     
     PLUTO_register_timeseries( fname , flim ) ;
     mri_free(flim) ;

   }
