/**<fm2dv>****************************************************************

    Title: Float Matrix TO Double Vector

  Purpose: Convert float matrix to double vector

     Call: double **fm2dv( double **dmat, float *vec, int nr, int nc)
*/
double *fm2dv( double *dvec, float **fmat, int nr, int nc)
{
  register int i,j;

  for(i=0;i<nr;++i) {
    for(j=0;j<nc;++j) {
      dvec[j + i*nc] = (double) fmat[i][j] ;
    }
  }

  return(dvec);
}
