/**<fv2dm>****************************************************************

    Title: Float Vector TO Double Matrix

  Purpose: Convert float vector to double matrix

     Call: double **fv2dm( double **dmat, float *vec, int nr, int nc)
*/
double **fv2dm( double **dmat, float *fvec, int nr, int nc)
{
  register int i,j;

  for(i=0;i<nr;++i) {
    for(j=0;j<nc;++j) {
      dmat[i][j] = (double) fvec[j + i*nc];
    }
  }

  return(dmat);
}
