/**<vmsq>**************************************************

    Title: Float integer Vector Mean SQuare

  Purpose: Compute msq of float vector.
 
     Call: float vmsq( float int *x, int n )

*/
#include <math.h>

float vmsq( float *x, int n )
{
  float sum = 0.;
  float dn  = n;
  float msq,tmp;

  if(n>0)
    {
      do {
	tmp  = *x++ ;
	sum += tmp*tmp;
      } while(--n > 0) ;
    }
  msq = sum/dn;
  
  return(msq);
}
