/**<zadd.c>****************************************************

     Title: Complex ADDition

   Purpose: Complex sum of two complex args

      Call: complex zadd(complex a, complex b)

     Input: a = complex arg
            b = complex arg

    Output: a + b

*/
#include "vector.h"

complex zadd(complex a, complex b)
{
	static complex c;
	c.r = a.r + b.r;
	c.i = a.i + b.i;
	return(c);
}
