/**<zcplx.c>****************************************************

     Title: ComPLeX

   Purpose: Create complex number from real and imag components

      Call: complex zcplx(float r, float i)	

     Input: r = real component
            i = imag component

    Output: z = {c.r,c.i}

*/
#include "vector.h"
complex zcplx(double r, double i)
{
	static complex c;
	c.r = r;
	c.i = i;
	return(c);
}
