/**<zscal.c>****************************************************

     Title: Complex SCALe

   Purpose: Multiplies a double (or float) by complex

      Call: complex zscal(double doub, complex z)

     Input: doub = double constant
	       z = complex constant

    Output: c = d*z

*/
#include "vector.h"

complex zscal(double d, complex z)
{
	static complex c ;
	c.r = d*z.r ;
	c.i = d*z.i ;
	return(c) ;
}
