
/* Colors for vtk plotting (xyplot) */

#ifndef Color_Gray
#define Color_Gray
static vtkFloatingPointType Gray[] = {0.5,0.5,0.5} ;
#endif

#ifndef Color_LightGray
#define Color_LightGray
static vtkFloatingPointType LightGray[] = {0.25,0.25,0.25} ;
#endif

/* RGB */

#ifndef Color_Black
#define Color_Black
static vtkFloatingPointType Black[] = {0.,0.,0.} ;
#endif

#ifndef Color_Red
#define Color_Red
static vtkFloatingPointType Red[]   = {1.,0.,0.} ;
#endif

#ifndef Color_Green
#define Color_Green
static vtkFloatingPointType Green[] = {0.,1.,0.} ;
#endif

#ifndef Color_Blue
#define Color_Blue
static vtkFloatingPointType Blue[]  = {0.,0.,1.} ;
#endif

#ifndef Color_White
#define Color_White
static vtkFloatingPointType White[] = {1.,1.,1.} ;
#endif

/* HSV */

#ifndef Color_Magenta
#define Color_Magenta
static vtkFloatingPointType Magenta[] = {1.,0.,1.} ;
#endif

#ifndef Color_Yellow
#define Color_Yellow
static vtkFloatingPointType Yellow[]  = {1.,1.,0.} ;
#endif

#ifndef Color_Cyan
#define Color_Cyan
static vtkFloatingPointType Cyan[]    = {0.,1.,1.} ;
#endif

/* For looping */

#define NColors 8

#ifndef Color_ColorTable
#define Color_ColorTable
static vtkFloatingPointType *ColorTable[NColors] = {Blue,Green,Red, \
						    Cyan,Yellow,Magenta } ;
#endif

#ifndef Color_ColorNames
#define Color_ColorNames
static char *ColorNames[NColors] = {"Blue","Green","Red", \
				    "Cyan","Yellow","Magenta"} ;
#endif
