#ifndef VTK_MAPSIGNAL_H
#define VTK_MAPSIGNAL_H

/***
*  Author: Lawrence Frank
* 
*  Map signal onto sphere and display using VTK
*
*  Data: 2/17/04
*
*/

#include "vtk_Utils.h"

vtkFloatArray *vtk_LoadSignal(float *data, int nvert) ;

vtkPolyData *vtk_LoadGradients(float *gx, float *gy, float *gz,
			       int *tris, int ntris, int nvert) ;

vtkPolyData *MapSignal2VertexGrid(vtkPolyData   *vGrid , 
				  vtkFloatArray *vSignal) ;

#endif
